%define name            fileutils
%define ver             4.0.33
%define rel             2
%define serial          2001012401

%define _exec_prefix    /
%define _bindir         %{_exec_prefix}/bin
%define _alt_bindir     %{_prefix}/bin


Summary:       GNU File Utilities
Name:          %{name}
Version:       %{ver}
Release:       %{rel}
Group:         Utilities/File
Copyright:     GPL
Source0:       %{name}-%{version}.tar.gz
Patch0:        %{name}-4.0.27-dircolors.patch
Patch1:        %{name}-4.0.33-ja_nls.patch
Patch2:        %{name}-4.0.33-chown_dereference.patch
URL:           ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Serial:        %{serial}
Buildroot:     /var/tmp/%{name}-%{version}-root
Prefix:        %{_prefix}
Prereq:        /sbin/install-info
#NoSource:      0

Summary(de): GNU-Datei-Utilities 
Summary(fr): Utilitaires fichier de GNU
Summary(tr): GNU dosya i.AN~lemleri yardN}mcN} yazN}lN}mlarN}*B

%description
These are the GNU file management utilities.  It includes programs
to copy, move, list, etc, files.

The ls program in this package now incorporates color ls!

%description -l de
Dies sind die GNU-Dateiverwaltungs-Utilities. Sie enthalten Programme
 zum Kopieren, Bewegen, Auflisten usw. von Dateien. 

%description -l fr
Utilitaire de gestion de fichiers de GNU. Contient les programmes
pour copier, d.ANiplacer, lister, etc. les fichiers.*B

Le programme ls de ce paquetage incorpore maintenant ls en couleurs !

%description -l tr
Bu pakette yer alan programlar dosyalar .AN|zerinde kopyalama, isim deNpiN~tirme*B
gibi temel i.AN~lemleri yapmanN}zN} saNplar.*B


%changelog
* Wed Jan 24 2001 Maxime Froment <maxime@turbolinux.co.jp>
- reviewed chown_dereference patch

* Wed Dec 6 2000 Maxime Froment <maxime@turbolinux.co.jp>
- upgraded to 4.0.33

* Thu Oct 26 2000 Maxime Froment <maxime@turbolinux.co.jp>
- patch for chown --dereference related bug

* Thu Oct 5 2000 Maxime Froment <maxime@turbolinux.co.jp>
- upgrade to 4.0.27; removed DIR_COLORS, patched built-in appropriately

* Mon Sep  4 2000 Koushi Takahashi <koushi@turbolinux.co.jp>
- Added Prereq: info.

* Fri Aug 11 2000 Koushi Takahashi <koushi@turbolinux.co.jp>
- Fixed patch file name and file specified within
- Now run %post install-info

* Wed Jul 12 2000 SL Baur  <steve@turbolinux.co.jp>
- alpha port, rpm-3.0.5 update, glibc-2.2 port
- integrate japanese support from Vine Linux

* Fri Jun 23 2000 Kiichiro Kyle Naka <knaka@turbolinux.co.jp>
- Fixed rm interactive mode.

* Wed Mar 24 1999 Kelley Spoon <kspoon@turbolinux.com>
- bumped up to the 4.0 version... should have "shred" in it.

* Sat Mar 6 1999 Kelley Spoon <kspoon@turbolinux.com>
- recompiled for the 2.2.* kernels

* Wed Jan 6 1999 Scott Stone <sstone@turbolinux.com>
- static ls breaks smbsh - back to dynamic linking

* Wed Nov 4 1998 Scott Stone <sstone@turbolinux.com>
- statically linked binaries

* Mon Aug 10 1998 Tadayoshi Ohkuma <tad@pht.co.jp>
- just rebuit for glibc TL

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- added %clean

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- minor patch for glibc 2.1

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- install-info turned off, as it creates a prereq loop

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- install-info turned on
- added BuildRoot

* Mon Sep 15 1997 Erik Troan <ewt@redhat.com>
- can't use install-info until %post -p allows argument passing

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri May 16 1997 Erik Troan <ewt@redhat.com>
- rebuilt for glibc.

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- Hacked at mktime() test to work on 64 bit machines w/ broken mktime(). I
  told Ulrich Drepper and Richard Henderson about this, so hopefully glibc
  will get fixed.

* Thu Feb 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 3.16.
#----------------------------------------------------------
%prep
%setup
%patch0 -p1 -b .dircolors
%patch1 -p1 -b .ja_nls
%patch2 -p1 -b .chown_dereference


%build
unset LINGUAS || :
CFLAGS="${RPM_OPT_FLAGS}" LDFLAGS=-s ./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}

# need to update message maps because of chown_dereference patch
( cd po; rm fileutils.pot; make update-po )
make 


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_alt_bindir} 

make DESTDIR=${RPM_BUILD_ROOT} install
gzip -9nf \
	${RPM_BUILD_ROOT}%{_infodir}/fileutils* \
	${RPM_BUILD_ROOT}%{_mandir}/man*/*

strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

for util in install du dir vdir mkfifo dircolors shred
do 
  mv -f ${RPM_BUILD_ROOT}%{_bindir}/${util} \
	${RPM_BUILD_ROOT}%{_alt_bindir}/${util}
done


%post
/sbin/install-info %{_infodir}/fileutils.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/fileutils.info.gz %{_infodir}/dir
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_alt_bindir}/*
%{_mandir}/man*/*
%{_infodir}/fileutils*
%{_datadir}/locale/*/*/*
